//
//  InterfaceController.swift
//  IsItCarnivalYet WatchKit Extension
//
//  Created by Michael Gazzola on 3/16/15.
//  Copyright (c) 2015 Michael Gazzola. All rights reserved.
//

import CarnivalKit
import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    @IBOutlet var answerLabel: WKInterfaceLabel!
    @IBOutlet var lastUpdatedLabel: WKInterfaceLabel!
    
    @IBAction func refreshButton() {
        self.getCarnivalInfo()
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        // Configure interface objects here.
    }
    
    func getCarnivalInfo() {
        let carnivalYet = CarnivalFinder.carnivalYet() ?? ""
        if carnivalYet == "YES" {
            self.answerLabel.setTextColor(UIColor.greenColor())
        } else {
            self.answerLabel.setTextColor(UIColor.redColor())
        }
        self.answerLabel.setText(carnivalYet)
        
        let lastUpdated = CarnivalFinder.lastUpdated() ?? ""
        self.lastUpdatedLabel.setText(lastUpdated)
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
        self.getCarnivalInfo()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
